import { IThemeRegistration, ILanguageRegistration, Highlighter } from 'shiki';
import MarkdownIt from 'markdown-it';

interface DarkModeThemes {
    dark: IThemeRegistration;
    light: IThemeRegistration;
}
interface Options {
    theme?: IThemeRegistration | DarkModeThemes;
    langs?: ILanguageRegistration[];
    timeout?: number;
    highlighter?: Highlighter;
}
declare const MarkdownItShiki: MarkdownIt.PluginWithOptions<Options>;

export default MarkdownItShiki;
export { DarkModeThemes, Options };
